Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class FilterQueryResultTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.FilterQueryResultTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FilterQueryResultType

    public class FilterQueryResultTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements FilterQueryResultType

An implementation of the model object 'Filter Query Result Type'.

The following features are implemented:

- `Registry Object Query Result`
- `Registry Entry Query Result`
- `Association Query Result`
- `Auditable Event Query Result`
- `Classification Query Result`
- `Classification Node Query Result`
- `Classification Scheme Query Result`
- `Registry Package Query Result`
- `Extrinsic Object Query Result`
- `Organization Query Result`
- `Service Query Result`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceQueryResult(ServiceQueryResultType newServiceQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AssociationQueryResultType` | `getAssociationQueryResult()`
`AuditableEventQueryResultType` | `getAuditableEventQueryResult()`
`ClassificationNodeQueryResultType` | `getClassificationNodeQueryResult()`
`ClassificationQueryResultType` | `getClassificationQueryResult()`
`ClassificationSchemeQueryResultType` | `getClassificationSchemeQueryResult()`
`ExtrinsicObjectQueryResultType` | `getExtrinsicObjectQueryResult()`
`OrganizationQueryResultType` | `getOrganizationQueryResult()`
`RegistryEntryQueryResultType` | `getRegistryEntryQueryResult()`
`RegistryObjectListType` | `getRegistryObjectQueryResult()`
`RegistryPackageQueryResultType` | `getRegistryPackageQueryResult()`
`ServiceQueryResultType` | `getServiceQueryResult()`
`void` | `setAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult)`
`void` | `setAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult)`
`void` | `setClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult)`
`void` | `setClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult)`
`void` | `setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult)`
`void` | `setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult)`
`void` | `setOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult)`
`void` | `setRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult)`
`void` | `setRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult)`
`void` | `setRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult)`
`void` | `setServiceQueryResult(ServiceQueryResultType newServiceQueryResult)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRegistryObjectQueryResult

    public RegistryObjectListType getRegistryObjectQueryResult()

  Specified by:
    `getRegistryObjectQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Registry Object Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setRegistryObjectQueryResult(RegistryObjectListType)`, `QueryPackage.getFilterQueryResultType_RegistryObjectQueryResult()`

### basicSetRegistryObjectQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectQueryResult

    public void setRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult)

  Specified by:
    `setRegistryObjectQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newRegistryObjectQueryResult` - the new value of the 'Registry Object Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getRegistryObjectQueryResult()`

### getRegistryEntryQueryResult

    public RegistryEntryQueryResultType getRegistryEntryQueryResult()

  Specified by:
    `getRegistryEntryQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setRegistryEntryQueryResult(RegistryEntryQueryResultType)`, `QueryPackage.getFilterQueryResultType_RegistryEntryQueryResult()`

### basicSetRegistryEntryQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntryQueryResult

    public void setRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult)

  Specified by:
    `setRegistryEntryQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newRegistryEntryQueryResult` - the new value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getRegistryEntryQueryResult()`

### getAssociationQueryResult

    public AssociationQueryResultType getAssociationQueryResult()

  Specified by:
    `getAssociationQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Association Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setAssociationQueryResult(AssociationQueryResultType)`, `QueryPackage.getFilterQueryResultType_AssociationQueryResult()`

### basicSetAssociationQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociationQueryResult

    public void setAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult)

  Specified by:
    `setAssociationQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newAssociationQueryResult` - the new value of the 'Association Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getAssociationQueryResult()`

### getAuditableEventQueryResult

    public AuditableEventQueryResultType getAuditableEventQueryResult()

  Specified by:
    `getAuditableEventQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setAuditableEventQueryResult(AuditableEventQueryResultType)`, `QueryPackage.getFilterQueryResultType_AuditableEventQueryResult()`

### basicSetAuditableEventQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEventQueryResult

    public void setAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult)

  Specified by:
    `setAuditableEventQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newAuditableEventQueryResult` - the new value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getAuditableEventQueryResult()`

### getClassificationQueryResult

    public ClassificationQueryResultType getClassificationQueryResult()

  Specified by:
    `getClassificationQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Classification Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setClassificationQueryResult(ClassificationQueryResultType)`, `QueryPackage.getFilterQueryResultType_ClassificationQueryResult()`

### basicSetClassificationQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationQueryResult

    public void setClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult)

  Specified by:
    `setClassificationQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newClassificationQueryResult` - the new value of the 'Classification Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getClassificationQueryResult()`

### getClassificationNodeQueryResult

    public ClassificationNodeQueryResultType getClassificationNodeQueryResult()

  Specified by:
    `getClassificationNodeQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Classification Node Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setClassificationNodeQueryResult(ClassificationNodeQueryResultType)`, `QueryPackage.getFilterQueryResultType_ClassificationNodeQueryResult()`

### basicSetClassificationNodeQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult,
                                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeQueryResult

    public void setClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult)

  Specified by:
    `setClassificationNodeQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newClassificationNodeQueryResult` - the new value of the 'Classification Node Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getClassificationNodeQueryResult()`

### getClassificationSchemeQueryResult

    public ClassificationSchemeQueryResultType getClassificationSchemeQueryResult()

  Specified by:
    `getClassificationSchemeQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType)`, `QueryPackage.getFilterQueryResultType_ClassificationSchemeQueryResult()`

### basicSetClassificationSchemeQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult,
                                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationSchemeQueryResult

    public void setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult)

  Specified by:
    `setClassificationSchemeQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newClassificationSchemeQueryResult` - the new value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getClassificationSchemeQueryResult()`

### getRegistryPackageQueryResult

    public RegistryPackageQueryResultType getRegistryPackageQueryResult()

  Specified by:
    `getRegistryPackageQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Registry Package Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setRegistryPackageQueryResult(RegistryPackageQueryResultType)`, `QueryPackage.getFilterQueryResultType_RegistryPackageQueryResult()`

### basicSetRegistryPackageQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryPackageQueryResult

    public void setRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult)

  Specified by:
    `setRegistryPackageQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newRegistryPackageQueryResult` - the new value of the 'Registry Package Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getRegistryPackageQueryResult()`

### getExtrinsicObjectQueryResult

    public ExtrinsicObjectQueryResultType getExtrinsicObjectQueryResult()

  Specified by:
    `getExtrinsicObjectQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType)`, `QueryPackage.getFilterQueryResultType_ExtrinsicObjectQueryResult()`

### basicSetExtrinsicObjectQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setExtrinsicObjectQueryResult

    public void setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult)

  Specified by:
    `setExtrinsicObjectQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newExtrinsicObjectQueryResult` - the new value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getExtrinsicObjectQueryResult()`

### getOrganizationQueryResult

    public OrganizationQueryResultType getOrganizationQueryResult()

  Specified by:
    `getOrganizationQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Organization Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setOrganizationQueryResult(OrganizationQueryResultType)`, `QueryPackage.getFilterQueryResultType_OrganizationQueryResult()`

### basicSetOrganizationQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationQueryResult

    public void setOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult)

  Specified by:
    `setOrganizationQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newOrganizationQueryResult` - the new value of the 'Organization Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getOrganizationQueryResult()`

### getServiceQueryResult

    public ServiceQueryResultType getServiceQueryResult()

  Specified by:
    `getServiceQueryResult` in interface `FilterQueryResultType`
  Returns:
    the value of the 'Service Query Result' containment reference.
  See Also:
    `FilterQueryResultType.setServiceQueryResult(ServiceQueryResultType)`, `QueryPackage.getFilterQueryResultType_ServiceQueryResult()`

### basicSetServiceQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceQueryResult(ServiceQueryResultType newServiceQueryResult,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceQueryResult

    public void setServiceQueryResult(ServiceQueryResultType newServiceQueryResult)

  Specified by:
    `setServiceQueryResult` in interface `FilterQueryResultType`
  Parameters:
    `newServiceQueryResult` - the new value of the 'Service Query Result' containment reference.
  See Also:
    `FilterQueryResultType.getServiceQueryResult()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD